Package org.globus.gsi.testutils

# Class FileSetupUtil

java.lang.Object
org.globus.gsi.testutils.FileSetupUtil

public class FileSetupUtil extends Object
FILL ME

Author:
  ranantha@mcs.anl.gov

## Constructor Summary

Constructors
Constructor
Description
`FileSetupUtil(String inputFileName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`copyFileToTemp()`
`void`
`copyFileToTemp(File dir)`
`void`
`deleteFile()`
`String`
`getAbsoluteFilename()`
`File`
`getTempFile()`
`String`
`getTempFilename()`
`URL`
`getURL()`
`void`
`modifyFile()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileSetupUtil

public FileSetupUtil(String inputFileName)

## Method Details

### getTempFile

public File getTempFile()

### copyFileToTemp

public void copyFileToTemp() throws IOException

Throws:
  `IOException`

### copyFileToTemp

public void copyFileToTemp(File dir) throws IOException

Throws:
  `IOException`

### getAbsoluteFilename

public String getAbsoluteFilename()

### getTempFilename

public String getTempFilename()

### getURL

public URL getURL()

### deleteFile

public void deleteFile()

### modifyFile

public void modifyFile() throws InterruptedException, IOException

Throws:
  `InterruptedException`
  `IOException`